// Code generated by MockGen. DO NOT EDIT.
// Source: awesome.go

// Package mocks is a generated GoMock package.
package mocks

import (
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
)

// MockUseCase is a mock of UseCase interface.
type MockUseCase struct {
	ctrl     *gomock.Controller
	recorder *MockUseCaseMockRecorder
}

// MockUseCaseMockRecorder is the mock recorder for MockUseCase.
type MockUseCaseMockRecorder struct {
	mock *MockUseCase
}

// NewMockUseCase creates a new mock instance.
func NewMockUseCase(ctrl *gomock.Controller) *MockUseCase {
	mock := &MockUseCase{ctrl: ctrl}
	mock.recorder = &MockUseCaseMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockUseCase) EXPECT() *MockUseCaseMockRecorder {
	return m.recorder
}

// IsAlive mocks base method.
func (m *MockUseCase) IsAlive(testing bool) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "IsAlive", testing)
	ret0, _ := ret[0].(error)
	return ret0
}

// IsAlive indicates an expected call of IsAlive.
func (mr *MockUseCaseMockRecorder) IsAlive(testing interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "IsAlive", reflect.TypeOf((*MockUseCase)(nil).IsAlive), testing)
}

// Reverse mocks base method.
func (m *MockUseCase) Reverse(input string) (string, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Reverse", input)
	ret0, _ := ret[0].(string)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Reverse indicates an expected call of Reverse.
func (mr *MockUseCaseMockRecorder) Reverse(input interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Reverse", reflect.TypeOf((*MockUseCase)(nil).Reverse), input)
}
